- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# VertexEnumerator Class Reference

This reference page is linked to from the following overview topics: Sculpting and Brushes.

Search for all occurrences

## Detailed Description

base class for operations that must be applied across mesh vertices.

To use this class, derive a new enumerator from it. Override the Operator() method to perform the operation you need done to the mesh vertex. You must also override the Tester() method to test vertices to see if they should be included in the operation.

To use your class, call Mesh::EnumerateVertices, specify a starting face and vertex, and pass in your enumerator class. Starting with the specified vertex, your operation will be applied to adjacent vertices. If your Tester method returns false for a given vertex, then that vertex will not be processed, nor will the operation be propagated to its neighbors.

Definition at line 211 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
virtual void | Operator (class Mesh *pMesh, unsigned int iVertexIndex, unsigned int iFaceIndex)
virtual bool | Tester (class Mesh *pMesh, unsigned int iVertexIndex, unsigned int iFaceIndex)

## Member Function Documentation

virtual void Operator | ( | class Mesh * | pMesh,
|  | unsigned int | iVertexIndex,
|  | unsigned int | iFaceIndex
| ) |  | `[virtual]`

Search for all occurrences

Parameters:

  [in] | pMesh | pointer to the mesh being processed
  [in] | iVertexIndex | index of the vertex being processed
  [in] | iFaceIndex | index of a face associated with the vertex being processed (chosen at random)

virtual bool Tester | ( | class Mesh * | pMesh,
|  | unsigned int | iVertexIndex,
|  | unsigned int | iFaceIndex
| ) |  | `[virtual]`

Search for all occurrences

Parameters:

  [in] | pMesh | pointer to the mesh being processed
  [in] | iVertexIndex | index of the vertex being processed
  [in] | iFaceIndex | index of a face associated with the vertex being processed (chosen at random)

The documentation for this class was generated from the following file:

- Mudbox/mesh.h

VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator
VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator VertexEnumerator